Mail archive
alpine-aports

[alpine-aports] [PATCH] main/cairomm: upgrade to 1.12.2

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sun, 5 Feb 2017 00:45:48 +0200

--
move /usr/share/devhelp to -doc
---
 main/cairomm/APKBUILD | 24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)
diff --git a/main/cairomm/APKBUILD b/main/cairomm/APKBUILD
index e1ce8535af..2a58ebff98 100644
--- a/main/cairomm/APKBUILD
+++ b/main/cairomm/APKBUILD
_at_@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=cairomm
-pkgver=1.12.0
+pkgver=1.12.2
 pkgrel=0
 pkgdesc="C++ bindings to Cairo vector graphics library"
 url="http://www.cairographics.org"
_at_@ -10,12 +10,11 @@ depends=""
 depends_dev="libsigc++-dev"
 makedepends="$depends_dev cairo-dev perl"
 subpackages="$pkgname-dev $pkgname-doc"
-source="http://www.cairographics.org/releases/cairomm-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
+source="http://www.cairographics.org/releases/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -25,10 +24,17 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="481501be65bcc34a605d6bc0f57a0023  cairomm-1.12.0.tar.gz"
-sha256sums="50435aec6fdd976934b791e808993160113ad19ca53a5634a9b64ccbe55874cc  cairomm-1.12.0.tar.gz"
-sha512sums="417218caaa01424a0a98092e5cf46f4d97b194ee9a5ef94e16c59dde45d41af662f03c4a46f41d8d4f16befa7424d857845197da7d457a621298efd05b248f8d  cairomm-1.12.0.tar.gz"
+doc() {
+	default_doc || return 1
+
+	mv "$pkgdir"/usr/share/devhelp "$subpkgdir"/usr/share || return 1
+	rmdir "$pkgdir"/usr/share
+}
+
+md5sums="9d2282ea34cf9aaa89208bb4bb911909  cairomm-1.12.2.tar.gz"
+sha256sums="45c47fd4d0aa77464a75cdca011143fea3ef795c4753f6e860057da5fb8bd599  cairomm-1.12.2.tar.gz"
+sha512sums="df2749e3865dfddf04c40b671453e057e7e76c5052bfc38d5b986c544b7ec43de40b1ef5b4d0e34f58781230d4b220c4176ddef773cd6a316c73641c4aec77c0  cairomm-1.12.2.tar.gz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 05 2017 - 00:45:48 GMT